%global src_name gnome_shell___gaia_by_half_left-d3fl1nw.zip
%global theme_name gaia
%global theme Gaia


Name:           gnome-shell-theme-%{theme_name}
Version:        3.4
Release:        3%{?dist}
Summary:        The %{theme} gnome-shell theme  
Group:          User Interface/Desktops     

License:        GPLv3
URL:            http://half-left.deviantart.com/art/GNOME-Shell-Gaia-207574700
Source0:        http://www.deviantart.com/download/207574700/%{src_name}

Requires:       gnome-shell-extension-user-theme
Requires:       gnome-shell >= 3.4
BuildArch:      noarch

%description
The %{theme} gnome-shell theme created by half_left

%prep
%setup -q -n %{theme}

%build
#nothing to build

%install
mkdir -p -m755 $RPM_BUILD_ROOT/%{_datadir}/themes/%{theme}

# put the theme files into some data dir
cp -r gnome-shell $RPM_BUILD_ROOT/%{_datadir}/themes/%{theme}/.

# remove LICENSE from BUILDROOT
find $RPM_BUILD_ROOT -name LICENSE -type f -print | xargs /bin/rm -f

# delete backup files (*~)
find $RPM_BUILD_ROOT -name *~ -type f -print | xargs /bin/rm -f


%files
%doc gnome-shell/LICENSE
%dir %{_datadir}/themes/%{theme}
%{_datadir}/themes/%{theme}/*

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 25 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4-1
- Latest upstream with gnome-shell 3.4 support

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jun 09 2011 Tim Lauridsen <timlau@fedoraproject.org> 1.0
- initial rpm build
